server.port=3310

spring.application.name=email-service

#discovery server access
eureka.client.serviceUrl.defaultZone=http://suitless.nl:8761/eureka

#parameter to enable security
app.security.basic.enabled=true

security.jwtKey = Rt1WpRegdoIZl324WW9kn2aBZIskef7Z

spring.mail.host = NOT_FOR_GIT
spring.mail.port = 587
spring.mail.username = NOT_FOR_GIT
spring.mail.password = NOT_FOR_GIT
spring.mail.properties.mail.smtp.auth = true
spring.mail.properties.mail.smtp.starttls.enable = true
spring.mail.properties.mail.smtp.ssl.trust = *

#MariaDB - Email
spring.datasource.jdbcUrl=jdbc:mysql://suitless.nl:3306/Email
spring.datasource.username=ehvLINC
spring.datasource.password=ehvLINC

#MariaDB - Account
spring.account-datasource.jdbcUrl=jdbc:mysql://suitless.nl:3306/Account
spring.account-datasource.username=readonly
spring.account-datasource.password=ehvLINC

# jdbc.x
jdbc.driverClassName=com.mysql.jdbc.Driver
account.jdbc.url=jdbc:mysql://suitless.nl:3306/Account
email.jdbc.url=jdbc:mysql://suitless.nl:3306/Email
jdbc.user=ehvLINC
jdbc.pass=ehvLINC

# hibernate.X
hibernate.show_sql=false
hibernate.hbm2ddl.auto=update
hibernate.cache.use_second_level_cache=false
hibernate.cache.use_query_cache=false
spring.jpa.generate-ddl=true
hibernate.dialect = org.hibernate.dialect.MariaDBDialect


logging.pattern.console= %clr(%d{yyyy-MM-dd HH:mm:ss}){faint} %clr(${LOG_LEVEL_PATTERN}) %clr([%1.50t]){faint} %clr(%-1.100logger{39}){cyan} : %m%n${LOG_EXCEPTION_CONVERSION_WORD:%wEx}